((typeof self !== 'undefined' ? self : this)["webpackJsonpscene_configure"] = (typeof self !== 'undefined' ? self : this)["webpackJsonpscene_configure"] || []).push([[15],{

/***/ "10fa":
/***/ (function(module, exports) {

function webpackEmptyContext(req) {
	var e = new Error("Cannot find module '" + req + "'");
	e.code = 'MODULE_NOT_FOUND';
	throw e;
}
webpackEmptyContext.keys = function() { return []; };
webpackEmptyContext.resolve = webpackEmptyContext;
module.exports = webpackEmptyContext;
webpackEmptyContext.id = "10fa";

/***/ }),

/***/ 3:
/***/ (function(module, exports) {

/* (ignored) */

/***/ }),

/***/ "3dc6":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var _data_jenkins_workspace_tools_ui_cdn_wiz_module_ui_node_modules_babel_runtime_helpers_esm_regeneratorRuntime_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__("c7eb");
/* harmony import */ var _data_jenkins_workspace_tools_ui_cdn_wiz_module_ui_node_modules_babel_runtime_helpers_esm_asyncToGenerator_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__("1da1");
/* harmony import */ var core_js_modules_es_array_concat_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__("99af");
/* harmony import */ var core_js_modules_es_array_concat_js__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(core_js_modules_es_array_concat_js__WEBPACK_IMPORTED_MODULE_2__);



/**
 * 下载文件
 * @param {*} player player实例
 * @param {*} fileInfo 文件信息：{id:文件id,url:文件下载路径,fileType:文件类型}
 * @param {*} apiConfig 下载请求信息：{path:请求后端接口地址,method:请求方式,headers:接口请求头}
 * @returns 下载结果
 *          - type: 0为文件存在不需要下载，1为文件不存在需要下载
 *          - success: 下载成功或失败
 */
var downloadFile = /*#__PURE__*/function () {
  var _ref = Object(_data_jenkins_workspace_tools_ui_cdn_wiz_module_ui_node_modules_babel_runtime_helpers_esm_asyncToGenerator_js__WEBPACK_IMPORTED_MODULE_1__[/* default */ "a"])( /*#__PURE__*/Object(_data_jenkins_workspace_tools_ui_cdn_wiz_module_ui_node_modules_babel_runtime_helpers_esm_regeneratorRuntime_js__WEBPACK_IMPORTED_MODULE_0__[/* default */ "a"])().mark(function _callee2(player, fileInfo, apiConfig) {
    var progressMsg,
      downloadEndMsg,
      isExists,
      tempsUrl,
      processFun,
      downloadEndFun,
      res,
      _args2 = arguments;
    return Object(_data_jenkins_workspace_tools_ui_cdn_wiz_module_ui_node_modules_babel_runtime_helpers_esm_regeneratorRuntime_js__WEBPACK_IMPORTED_MODULE_0__[/* default */ "a"])().wrap(function _callee2$(_context2) {
      while (1) switch (_context2.prev = _context2.next) {
        case 0:
          progressMsg = _args2.length > 3 && _args2[3] !== undefined ? _args2[3] : function () {};
          downloadEndMsg = _args2.length > 4 && _args2[4] !== undefined ? _args2[4] : function () {};
          _context2.next = 4;
          return player.Native.File.exists(fileInfo.url);
        case 4:
          isExists = _context2.sent;
          if (!isExists) {
            _context2.next = 7;
            break;
          }
          return _context2.abrupt("return", {
            type: 0,
            success: true
          });
        case 7:
          // 模型中转文件
          tempsUrl = "data://../temps/models/".concat(fileInfo.id, "/").concat(fileInfo.id, ".").concat(fileInfo.fileType); // 处理下载进度方法
          processFun = function processFun(file, bytesReceived, bytesTotal) {
            progressMsg(file, bytesReceived, bytesTotal);
          }; // 处理下载结束方法
          downloadEndFun = /*#__PURE__*/function () {
            var _ref2 = Object(_data_jenkins_workspace_tools_ui_cdn_wiz_module_ui_node_modules_babel_runtime_helpers_esm_asyncToGenerator_js__WEBPACK_IMPORTED_MODULE_1__[/* default */ "a"])( /*#__PURE__*/Object(_data_jenkins_workspace_tools_ui_cdn_wiz_module_ui_node_modules_babel_runtime_helpers_esm_regeneratorRuntime_js__WEBPACK_IMPORTED_MODULE_0__[/* default */ "a"])().mark(function _callee(file, err) {
              return Object(_data_jenkins_workspace_tools_ui_cdn_wiz_module_ui_node_modules_babel_runtime_helpers_esm_regeneratorRuntime_js__WEBPACK_IMPORTED_MODULE_0__[/* default */ "a"])().wrap(function _callee$(_context) {
                while (1) switch (_context.prev = _context.next) {
                  case 0:
                    _context.next = 2;
                    return player.Native.File.move(tempsUrl, fileInfo.url);
                  case 2:
                    if (!(fileInfo.fileType === 'zip')) {
                      _context.next = 5;
                      break;
                    }
                    _context.next = 5;
                    return player.Native.UiQt.decompressingZIP(fileInfo.url, '');
                  case 5:
                    // } else {
                    //   app.$message.warning('当前请求的md5和服务器下载的md5不一致！')
                    // }
                    downloadEndMsg(file, err);
                    player.Native.File.EventDownloadProcessChanged.disconnect(processFun);
                    player.Native.File.EventDownloadFinish.disconnect(downloadEndFun);
                  case 8:
                  case "end":
                    return _context.stop();
                }
              }, _callee);
            }));
            return function downloadEndFun(_x4, _x5) {
              return _ref2.apply(this, arguments);
            };
          }(); // 监听下载进度
          player.Native.File.EventDownloadProcessChanged.connect(processFun);
          // 监听下载结束
          player.Native.File.EventDownloadFinish.connect(downloadEndFun);
          _context2.next = 14;
          return player.Native.File.downloadFile(tempsUrl, apiConfig.method, apiConfig.path, apiConfig.headers);
        case 14:
          res = _context2.sent;
          return _context2.abrupt("return", {
            type: 1,
            success: res
          });
        case 16:
        case "end":
          return _context2.stop();
      }
    }, _callee2);
  }));
  return function downloadFile(_x, _x2, _x3) {
    return _ref.apply(this, arguments);
  };
}();
/* harmony default export */ __webpack_exports__["a"] = (downloadFile);

/***/ }),

/***/ 4:
/***/ (function(module, exports) {

/* (ignored) */

/***/ }),

/***/ "49de":
/***/ (function(module, exports, __webpack_require__) {

// style-loader: Adds some css to the DOM by adding a <style> tag

// load the styles
var content = __webpack_require__("ef2b");
if(content.__esModule) content = content.default;
if(typeof content === 'string') content = [[module.i, content, '']];
if(content.locals) module.exports = content.locals;
// add the styles to the DOM
var add = __webpack_require__("499e").default
var update = add("b1069052", content, true, {"sourceMap":false,"shadowMode":false});

/***/ }),

/***/ "5992":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var _node_modules_windicss_webpack_plugin_dist_loaders_windicss_style_pitcher_cjs_node_modules_vue_style_loader_index_js_ref_8_oneOf_1_0_node_modules_css_loader_index_js_ref_8_oneOf_1_1_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_src_index_js_ref_8_oneOf_1_2_node_modules_windicss_webpack_plugin_dist_loaders_windicss_template_cjs_node_modules_postcss_loader_src_index_js_ref_8_oneOf_1_3_node_modules_sass_loader_dist_cjs_js_ref_8_oneOf_1_4_node_modules_cache_loader_dist_cjs_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_ModelView_vue_vue_type_style_index_0_id_25bfb6dd_prod_lang_scss_scoped_true__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__("49de");
/* harmony import */ var _node_modules_windicss_webpack_plugin_dist_loaders_windicss_style_pitcher_cjs_node_modules_vue_style_loader_index_js_ref_8_oneOf_1_0_node_modules_css_loader_index_js_ref_8_oneOf_1_1_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_src_index_js_ref_8_oneOf_1_2_node_modules_windicss_webpack_plugin_dist_loaders_windicss_template_cjs_node_modules_postcss_loader_src_index_js_ref_8_oneOf_1_3_node_modules_sass_loader_dist_cjs_js_ref_8_oneOf_1_4_node_modules_cache_loader_dist_cjs_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_ModelView_vue_vue_type_style_index_0_id_25bfb6dd_prod_lang_scss_scoped_true__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_node_modules_windicss_webpack_plugin_dist_loaders_windicss_style_pitcher_cjs_node_modules_vue_style_loader_index_js_ref_8_oneOf_1_0_node_modules_css_loader_index_js_ref_8_oneOf_1_1_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_src_index_js_ref_8_oneOf_1_2_node_modules_windicss_webpack_plugin_dist_loaders_windicss_template_cjs_node_modules_postcss_loader_src_index_js_ref_8_oneOf_1_3_node_modules_sass_loader_dist_cjs_js_ref_8_oneOf_1_4_node_modules_cache_loader_dist_cjs_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_ModelView_vue_vue_type_style_index_0_id_25bfb6dd_prod_lang_scss_scoped_true__WEBPACK_IMPORTED_MODULE_0__);
/* unused harmony reexport * */


/***/ }),

/***/ "edb2":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// CONCATENATED MODULE: ./node_modules/cache-loader/dist/cjs.js?{"cacheDirectory":"node_modules/.cache/vue-loader","cacheIdentifier":"1fcf90d6-vue-loader-template"}!./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/cache-loader/dist/cjs.js??ref--0-0!./node_modules/vue-loader/lib??vue-loader-options!./node_modules/windicss-webpack-plugin/dist/loaders/windicss-template.cjs!./src/modules/scene-configure/components/model/ModelView.vue?vue&type=template&id=25bfb6dd&scoped=true
var render = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{directives:[{name:"loading",rawName:"v-loading",value:(_vm.loadingEngine),expression:"loadingEngine"}],staticClass:"w-full h-full"},[(_vm.modelSetting.cloudRenderLoadMode === 'img')?_c('img',{staticClass:"engineVideo w-full",attrs:{"id":"playerEngineId"}}):_c('video',{staticClass:"engineVideo w-full",attrs:{"id":"playerEngineId","autoplay":"","playsinline":"","muted":""},domProps:{"muted":true}}),(_vm.showLoadProgress)?_c('player-progress',{attrs:{"loadType":_vm.loadType,"percentage":_vm.loadPercentage}}):_vm._e()],1)}
var staticRenderFns = []


// CONCATENATED MODULE: ./src/modules/scene-configure/components/model/ModelView.vue?vue&type=template&id=25bfb6dd&scoped=true

// EXTERNAL MODULE: ./node_modules/@babel/runtime/helpers/esm/regeneratorRuntime.js
var regeneratorRuntime = __webpack_require__("c7eb");

// EXTERNAL MODULE: ./node_modules/@babel/runtime/helpers/esm/asyncToGenerator.js
var asyncToGenerator = __webpack_require__("1da1");

// EXTERNAL MODULE: ./node_modules/core-js/modules/es.array.concat.js
var es_array_concat = __webpack_require__("99af");

// EXTERNAL MODULE: ./node_modules/core-js/modules/es.array.filter.js
var es_array_filter = __webpack_require__("4de4");

// EXTERNAL MODULE: ./node_modules/core-js/modules/es.array.find.js
var es_array_find = __webpack_require__("7db0");

// EXTERNAL MODULE: ./node_modules/core-js/modules/es.array.iterator.js
var es_array_iterator = __webpack_require__("e260");

// EXTERNAL MODULE: ./node_modules/core-js/modules/es.array.map.js
var es_array_map = __webpack_require__("d81d");

// EXTERNAL MODULE: ./node_modules/core-js/modules/es.array.push.js
var es_array_push = __webpack_require__("14d9");

// EXTERNAL MODULE: ./node_modules/core-js/modules/es.function.name.js
var es_function_name = __webpack_require__("b0c0");

// EXTERNAL MODULE: ./node_modules/core-js/modules/es.json.stringify.js
var es_json_stringify = __webpack_require__("e9c4");

// EXTERNAL MODULE: ./node_modules/core-js/modules/es.object.keys.js
var es_object_keys = __webpack_require__("b64b");

// EXTERNAL MODULE: ./node_modules/core-js/modules/es.object.to-string.js
var es_object_to_string = __webpack_require__("d3b7");

// EXTERNAL MODULE: ./node_modules/core-js/modules/es.promise.js
var es_promise = __webpack_require__("e6cf");

// EXTERNAL MODULE: ./node_modules/core-js/modules/es.string.iterator.js
var es_string_iterator = __webpack_require__("3ca3");

// EXTERNAL MODULE: ./node_modules/core-js/modules/web.dom-collections.for-each.js
var web_dom_collections_for_each = __webpack_require__("159b");

// EXTERNAL MODULE: ./node_modules/core-js/modules/web.dom-collections.iterator.js
var web_dom_collections_iterator = __webpack_require__("ddb0");

// EXTERNAL MODULE: ./node_modules/wiz-cloud-render/dist/index.umd.js
var index_umd = __webpack_require__("e70f");

// EXTERNAL MODULE: ./src/modules/scene-configure/assets/js/scene/scene.js
var scene = __webpack_require__("879c");

// EXTERNAL MODULE: ./src/modules/scene-configure/assets/js/model/modelDownload.js
var modelDownload = __webpack_require__("3dc6");

// CONCATENATED MODULE: ./node_modules/@vue/cli-plugin-babel/node_modules/thread-loader/dist/cjs.js!./node_modules/@vue/cli-plugin-babel/node_modules/babel-loader/lib??ref--12-1!./node_modules/cache-loader/dist/cjs.js??ref--0-0!./node_modules/vue-loader/lib??vue-loader-options!./node_modules/windicss-webpack-plugin/dist/loaders/windicss-template.cjs!./src/modules/scene-configure/components/model/ModelView.vue?vue&type=script&lang=js
















//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//




var PlayerProgress = function PlayerProgress() {
  return __webpack_require__.e(/* import() */ 2).then(__webpack_require__.bind(null, "9b4c"));
};
/* harmony default export */ var ModelViewvue_type_script_lang_js = ({
  name: 'ModelView',
  components: {
    PlayerProgress: PlayerProgress
  },
  props: {
    loadModelType: {
      type: String,
      defalut: 'modelFileId'
    },
    sceneOptions: {
      type: Object,
      defalut: function defalut() {
        return {
          isEnableGis: false,
          latitude: 0,
          longitude: 0,
          name: '',
          id: '',
          folderId: '',
          jsonData: ''
        };
      }
    },
    modelTreeProp: {
      type: Object,
      default: function _default() {
        return {
          currentNodeItem: 0,
          // 当前激活的node
          currentNodeName: '',
          // 点选时当前激活的节点名称
          treeData: [],
          // 模型树数据
          defaultCheckedKey: [],
          // 模型树选中的节点
          filterItem: [],
          // 模型树不需要显示的节点及他的父节点列表
          modelHideList: [],
          // 模型隐藏队列
          modelTreeLoadEnd: false,
          // 模型树数据加载完毕
          spaceSwapStatus: false // 交换空间状态
        };
      }
    }
  },
  data: function data() {
    return {
      player: null,
      // player实例

      loadingEngine: false,
      // 引擎加载状态
      showLoadProgress: false,
      // 进度条显隐
      loadType: '',
      // 进度条类型
      loadPercentage: 0,
      // 进度条值
      sceneFileList: [],
      fileCount: 0,
      sceneData: {},
      sceneRootNode: 0
    };
  },
  computed: {
    // 模型相关设置
    modelSetting: function modelSetting() {
      var _Wiz$globalSettings$g;
      return ((_Wiz$globalSettings$g = Wiz.globalSettings.globalConfig) === null || _Wiz$globalSettings$g === void 0 ? void 0 : _Wiz$globalSettings$g.modelSetting) || {};
    },
    // 云渲染协议
    cloundProtocol: function cloundProtocol() {
      return this.modelSetting.cloudProtocol || 'ws';
    },
    // 云渲染服务路径
    cloundServerPath: function cloundServerPath() {
      return this.modelSetting.cloudServerPath || '192.168.20.79:8082';
    },
    // 模型文件
    modelFileList: function modelFileList() {
      return this.modelSetting.modelFileList || [];
    }
  },
  watch: {
    sceneOptions: {
      handler: function handler(data) {
        var _this = this;
        return Object(asyncToGenerator["a" /* default */])( /*#__PURE__*/Object(regeneratorRuntime["a" /* default */])().mark(function _callee() {
          var elevation, rootItem, rootNode, rootInfo;
          return Object(regeneratorRuntime["a" /* default */])().wrap(function _callee$(_context) {
            while (1) switch (_context.prev = _context.next) {
              case 0:
                if (!(data.longitude && data.latitude && _this.player)) {
                  _context.next = 10;
                  break;
                }
                _this.moveToLLH(data.longitude, data.latitude);
                _context.next = 4;
                return _this.player.Native.GisPlatform.queryDEM([[data.longitude, data.latitude, 0]]);
              case 4:
                elevation = _context.sent[0];
                _context.next = 7;
                return _this.player.Native.ModelTree.getRootItems();
              case 7:
                rootItem = _context.sent;
                // 在跟节点集合中查找我们设置的场景的跟节点
                rootNode = _.find(rootItem, function (val) {
                  return val.code && Object(scene["d" /* isJSONObj */])(val.code) && JSON.parse(val.code).type === 'Root';
                });
                if (rootNode) {
                  rootInfo = JSON.parse(rootNode.code);
                  _this.player.Native.NodeProxy.setNodeGisPos(rootNode.nodePtr, [data.longitude, data.latitude, elevation]);
                  rootInfo.isEnableGis = true;
                  _this.player.Native.NodeProxy.setNodeInfo(rootNode.nodePtr, {
                    code: JSON.stringify(rootInfo)
                  });
                }
              case 10:
              case "end":
                return _context.stop();
            }
          }, _callee);
        }))();
      },
      deep: true
    },
    fileCount: function fileCount(num) {
      var _this2 = this;
      return Object(asyncToGenerator["a" /* default */])( /*#__PURE__*/Object(regeneratorRuntime["a" /* default */])().mark(function _callee2() {
        var nodeList, _JSON$parse, eye, target, up, currentNodes;
        return Object(regeneratorRuntime["a" /* default */])().wrap(function _callee2$(_context2) {
          while (1) switch (_context2.prev = _context2.next) {
            case 0:
              if (!(num === 0)) {
                _context2.next = 2;
                break;
              }
              return _context2.abrupt("return");
            case 2:
              if (!(num >= _this2.sceneFileList.length)) {
                _context2.next = 27;
                break;
              }
              _this2.loadType = '加载中...';
              _this2.showLoadProgress = true;
              _context2.next = 7;
              return Object(scene["h" /* loadSceneFromJson */])(_this2.sceneData, _this2.sceneRootNode, _this2.player, _this2.sceneOptions, [], _this2.loadNodeCallback);
            case 7:
              nodeList = _context2.sent;
              _this2.fileCount = 0;
              if (!(_this2.sceneData.cameraParams && Object(scene["d" /* isJSONObj */])(_this2.sceneData.cameraParams))) {
                _context2.next = 15;
                break;
              }
              _JSON$parse = JSON.parse(_this2.sceneData.cameraParams), eye = _JSON$parse.eye, target = _JSON$parse.target, up = _JSON$parse.up;
              _context2.next = 13;
              return _this2.player.Native.Camera.moveTo(eye, target, up, 2);
            case 13:
              _context2.next = 23;
              break;
            case 15:
              if (!_this2.sceneOptions.isEnableGis) {
                _context2.next = 20;
                break;
              }
              _context2.next = 18;
              return _this2.moveToLLH(_this2.sceneOptions.longitude, _this2.sceneOptions.latitude);
            case 18:
              _context2.next = 23;
              break;
            case 20:
              currentNodes = _.map(_.filter(nodeList, ['type', 'modelFile']), 'nodePtr');
              _context2.next = 23;
              return _this2.moveToScene(currentNodes);
            case 23:
              _this2.showLoadProgress = false;
              _this2.loadPercentage = 0;
              _context2.next = 28;
              break;
            case 27:
              _this2.checkTextureFile(_this2.sceneFileList[num]);
            case 28:
            case "end":
              return _context2.stop();
          }
        }, _callee2);
      }))();
    }
  },
  mounted: function mounted() {
    var _this3 = this;
    window.addEventListener('CloudRender', /*#__PURE__*/function () {
      var _ref = Object(asyncToGenerator["a" /* default */])( /*#__PURE__*/Object(regeneratorRuntime["a" /* default */])().mark(function _callee3(e) {
        var res;
        return Object(regeneratorRuntime["a" /* default */])().wrap(function _callee3$(_context3) {
          while (1) switch (_context3.prev = _context3.next) {
            case 0:
              res = e.detail;
              if (!(res.status && res.data && res.data.type === 'modelStatus')) {
                _context3.next = 25;
                break;
              }
              _context3.t0 = res.data.currentState;
              _context3.next = _context3.t0 === 1 ? 5 : _context3.t0 === 3 ? 9 : _context3.t0 === 4 ? 13 : _context3.t0 === 5 ? 18 : 22;
              break;
            case 5:
              _this3.showLoadProgress = true;
              _this3.loadType = '加载中...';
              _this3.loadPercentage = _.round(res.data.data.process, 2);
              return _context3.abrupt("break", 23);
            case 9:
              _this3.showLoadProgress = true;
              _this3.loadType = '下载中...';
              _this3.loadPercentage = _.round(res.data.data.process, 2);
              return _context3.abrupt("break", 23);
            case 13:
              _this3.showLoadProgress = false;
              _this3.loadType = '';
              _this3.loadPercentage = 0;
              _this3.$emit('loadModelEnd');
              return _context3.abrupt("break", 23);
            case 18:
              _this3.showLoadProgress = false;
              _this3.loadType = '';
              _this3.loadPercentage = 0;
              return _context3.abrupt("break", 23);
            case 22:
              return _context3.abrupt("break", 23);
            case 23:
              _context3.next = 26;
              break;
            case 25:
              if (!res.status) {
                _this3.$message.warning(res.message);
                _this3.showLoadProgress = false;
                _this3.loadType = '';
                _this3.loadPercentage = 0;
              }
            case 26:
            case "end":
              return _context3.stop();
          }
        }, _callee3);
      }));
      return function (_x) {
        return _ref.apply(this, arguments);
      };
    }());
    this.loadingEngine = true;
    this.runPlayer();
  },
  beforeDestroy: function beforeDestroy() {
    if (this.player) {
      this.player.exit();
    }
  },
  methods: {
    // 加载进度
    loadNodeCallback: function loadNodeCallback(data) {
      var scenceModelList = _.filter(this.sceneFileList, function (item) {
        var _item$code, _item$code2;
        return item.code && (((_item$code = item.code) === null || _item$code === void 0 ? void 0 : _item$code.type) === 'modelFile' || ((_item$code2 = item.code) === null || _item$code2 === void 0 ? void 0 : _item$code2.type) === 'dynamicEffects');
      });
      var loadNodes = _.filter(data, function (item) {
        return item.type === 'modelFile' || item.type === 'dynamicEffects';
      });
      if (loadNodes.length <= scenceModelList.length) {
        this.loadPercentage = _.round(loadNodes.length / scenceModelList.length * 100, 2);
      }
    },
    // 获取场景aabb
    getSceneAabb: function getSceneAabb(nodes) {
      var _this4 = this;
      return Object(asyncToGenerator["a" /* default */])( /*#__PURE__*/Object(regeneratorRuntime["a" /* default */])().mark(function _callee4() {
        var aabbList, i, item, aabb, maxX, maxY, maxZ, minX, minY, minZ;
        return Object(regeneratorRuntime["a" /* default */])().wrap(function _callee4$(_context4) {
          while (1) switch (_context4.prev = _context4.next) {
            case 0:
              aabbList = [];
              i = 0;
            case 2:
              if (!(i < nodes.length)) {
                _context4.next = 11;
                break;
              }
              item = nodes[i]; // eslint-disable-next-line no-await-in-loop
              _context4.next = 6;
              return _this4.player.Native.NodeProxy.getAabb(item);
            case 6:
              aabb = _context4.sent;
              if (aabb) {
                aabbList.push(aabb);
              }
            case 8:
              i += 1;
              _context4.next = 2;
              break;
            case 11:
              maxX = _.maxBy(aabbList, function (item) {
                return item[1][0];
              });
              maxY = _.maxBy(aabbList, function (item) {
                return item[1][1];
              });
              maxZ = _.maxBy(aabbList, function (item) {
                return item[1][2];
              });
              minX = _.minBy(aabbList, function (item) {
                return item[0][0];
              });
              minY = _.minBy(aabbList, function (item) {
                return item[0][1];
              });
              minZ = _.minBy(aabbList, function (item) {
                return item[0][2];
              });
              return _context4.abrupt("return", {
                max: [maxX[1][0], maxY[1][1], maxZ[1][2]],
                min: [minX[0][0], minY[0][1], minZ[0][2]]
              });
            case 18:
            case "end":
              return _context4.stop();
          }
        }, _callee4);
      }))();
    },
    // 移动相机到模型
    moveToScene: function moveToScene(nodes, face) {
      var _this5 = this;
      return Object(asyncToGenerator["a" /* default */])( /*#__PURE__*/Object(regeneratorRuntime["a" /* default */])().mark(function _callee5() {
        var modelAabb, mat;
        return Object(regeneratorRuntime["a" /* default */])().wrap(function _callee5$(_context5) {
          while (1) switch (_context5.prev = _context5.next) {
            case 0:
              _context5.next = 2;
              return _this5.getSceneAabb(nodes);
            case 2:
              modelAabb = _context5.sent;
              mat = [1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1];
              _context5.next = 6;
              return _this5.player.Native.Camera.addMoveToAabb(modelAabb, mat, face, 1.5, 2);
            case 6:
            case "end":
              return _context5.stop();
          }
        }, _callee5);
      }))();
    },
    // 加载player引擎
    runPlayer: function runPlayer() {
      var _this6 = this;
      return Object(asyncToGenerator["a" /* default */])( /*#__PURE__*/Object(regeneratorRuntime["a" /* default */])().mark(function _callee6() {
        var _yield$cloudRender$En, data;
        return Object(regeneratorRuntime["a" /* default */])().wrap(function _callee6$(_context6) {
          while (1) switch (_context6.prev = _context6.next) {
            case 0:
              _context6.next = 2;
              return index_umd["instance"].Engine.loadEngine({
                signalServer: "".concat(_this6.cloundProtocol, "://").concat(_this6.cloundServerPath),
                options: {
                  // openDebug: true,
                  DomType: _this6.modelSetting.cloudRenderLoadMode === 'img' ? 1 : 0,
                  videoDom: document.getElementById('playerEngineId'),
                  // 绑定视频标签
                  imgDom: document.getElementById('playerEngineId'),
                  // 绑定视频标签
                  userTimeout: 1000 * 60 * 60,
                  // 用户操作超时设置，毫秒
                  exitTimeout: 1000 * 60 * 1,
                  // 用户超时后多久断开会话
                  maxTimeout: 1000 // 会话超时时间，允许掉线后引擎保存多久，在该时间内可重新连接到会话，否则会创建新的会话
                }
              });
            case 2:
              _yield$cloudRender$En = _context6.sent;
              data = _yield$cloudRender$En.data;
              _this6.player = data.getDataInfo();
              // 实例化完成将实例化后的player传出去
              _this6.$emit('sendPlayer', _this6.player);
              _this6.initPlayer();
            case 7:
            case "end":
              return _context6.stop();
          }
        }, _callee6);
      }))();
    },
    // 移动相机到经纬度
    moveToLLH: function moveToLLH(long, lat) {
      var _this7 = this;
      return Object(asyncToGenerator["a" /* default */])( /*#__PURE__*/Object(regeneratorRuntime["a" /* default */])().mark(function _callee7() {
        var elevation;
        return Object(regeneratorRuntime["a" /* default */])().wrap(function _callee7$(_context7) {
          while (1) switch (_context7.prev = _context7.next) {
            case 0:
              if (!(long && lat)) {
                _context7.next = 6;
                break;
              }
              _context7.next = 3;
              return _this7.player.Native.GisPlatform.queryDEM([[long, lat, 0]]);
            case 3:
              elevation = _context7.sent[0];
              _this7.player.Native.Camera.addMoveToLLH([long, lat, 20000], 0);
              _this7.player.Native.Camera.addMoveToLLH([long, lat, elevation + 800], 8);
            case 6:
            case "end":
              return _context7.stop();
          }
        }, _callee7);
      }))();
    },
    // 初始化player
    initPlayer: function initPlayer() {
      var _this8 = this;
      return Object(asyncToGenerator["a" /* default */])( /*#__PURE__*/Object(regeneratorRuntime["a" /* default */])().mark(function _callee8() {
        var settingsFileUrl, settingsData, defaultSettings;
        return Object(regeneratorRuntime["a" /* default */])().wrap(function _callee8$(_context8) {
          while (1) switch (_context8.prev = _context8.next) {
            case 0:
              // 设置点选时其他节点半透明
              _this8.player.Native.Settings.set('color.pickup.bkAlpha', 'float', '0.5');
              _this8.loadingEngine = false;
              settingsFileUrl = "data://../apps/".concat(_this8.modelSetting.folderName, "/settings.json");
              _context8.next = 5;
              return _this8.player.Native.Settings.loadJsonString(settingsFileUrl);
            case 5:
              settingsData = _context8.sent;
              if (settingsData) {
                defaultSettings = JSON.parse(settingsData);
                _.forEach(defaultSettings.Show, function (item) {
                  _this8.player.Native.Settings.set(item.name, item.type, item.value);
                });
              }
              // 获取到经纬度添加地图
              if (!_this8.sceneOptions.isEnableGis) {
                _context8.next = 10;
                break;
              }
              _context8.next = 10;
              return index_umd["instance"].GIS.loadGis(_this8.player, _this8.modelSetting.globalMapPath);
            case 10:
              // // 点选监听
              _this8.player.Native.ModelTree.EventSelectItemChanged.connect(_this8.watchMsg);
              _this8.loadScene();
            case 12:
            case "end":
              return _context8.stop();
          }
        }, _callee8);
      }))();
    },
    // 检查文件是否存在
    checkTextureFile: function checkTextureFile(data) {
      var _this9 = this;
      return Object(asyncToGenerator["a" /* default */])( /*#__PURE__*/Object(regeneratorRuntime["a" /* default */])().mark(function _callee9() {
        var _Wiz$GetApiClientInst, url, fileInfo, apiConfig, res;
        return Object(regeneratorRuntime["a" /* default */])().wrap(function _callee9$(_context9) {
          while (1) switch (_context9.prev = _context9.next) {
            case 0:
              if (!(data && data.code && data.code.modelFileId)) {
                _context9.next = 12;
                break;
              }
              if (!(data.code.materialFileId && data.code.materialFileId !== 'undefined')) {
                _context9.next = 11;
                break;
              }
              url = "data://../apps/".concat(data.code.filePath.split('/')[4], "/models/").concat(data.code.modelFileId, "/").concat(data.code.modelFileId, ".zip");
              fileInfo = {
                id: data.code.materialFileId,
                url: url,
                fileType: 'zip'
              };
              apiConfig = {
                path: "".concat((_Wiz$GetApiClientInst = Wiz.GetApiClientInstance('file-management')) === null || _Wiz$GetApiClientInst === void 0 ? void 0 : _Wiz$GetApiClientInst.basePath, "/api/file-management/files/").concat(data.code.materialFileId, "/download"),
                method: 'GET',
                headers: {
                  Authorization: "Bearer ".concat(Wiz.AuthHooks.GetToken())
                }
              };
              _context9.next = 7;
              return Object(modelDownload["a" /* default */])(_this9.player, fileInfo, apiConfig, _this9.progressMsg, _this9.downloadMaterialMsg(data));
            case 7:
              res = _context9.sent;
              if (res.type === 0 && res.success) {
                _this9.checkModelFile(data);
              } else {
                _this9.showLoadProgress = true;
                _this9.loadType = '下载中...';
              }
              _context9.next = 12;
              break;
            case 11:
              _this9.checkModelFile(data);
            case 12:
            case "end":
              return _context9.stop();
          }
        }, _callee9);
      }))();
    },
    // 检查模型是否存在
    checkModelFile: function checkModelFile(data) {
      var _this10 = this;
      return Object(asyncToGenerator["a" /* default */])( /*#__PURE__*/Object(regeneratorRuntime["a" /* default */])().mark(function _callee10() {
        var _Wiz$GetApiClientInst2;
        var fileType, url, fileInfo, apiConfig, res;
        return Object(regeneratorRuntime["a" /* default */])().wrap(function _callee10$(_context10) {
          while (1) switch (_context10.prev = _context10.next) {
            case 0:
              fileType = _.last(data.code.filePath.split('.')) || 'pr';
              url = data.code.filePath;
              fileInfo = {
                id: data.code.modelFileId,
                url: url,
                fileType: fileType
              };
              apiConfig = {
                path: "".concat((_Wiz$GetApiClientInst2 = Wiz.GetApiClientInstance('file-management')) === null || _Wiz$GetApiClientInst2 === void 0 ? void 0 : _Wiz$GetApiClientInst2.basePath, "/api/file-management/files/").concat(data.code.modelFileId, "/download"),
                method: 'GET',
                headers: {
                  Authorization: "Bearer ".concat(Wiz.AuthHooks.GetToken())
                }
              };
              _context10.next = 6;
              return Object(modelDownload["a" /* default */])(_this10.player, fileInfo, apiConfig, _this10.progressMsg, _this10.downloadMsg);
            case 6:
              res = _context10.sent;
              if (res.type === 0 && res.success) {
                // 有模型就加载模型
                _this10.fileCount += 1;
              } else {
                _this10.showLoadProgress = true;
                _this10.loadType = '下载中...';
              }
            case 8:
            case "end":
              return _context10.stop();
          }
        }, _callee10);
      }))();
    },
    // 监听下载模型是否成功
    downloadMsg: function downloadMsg(file, err) {
      this.loadPercentage = 0;
      this.showLoadProgress = false;
      if (err) {
        this.$message.warning("\u4E0B\u8F7D\u6587\u4EF6\u5931\u8D25\uFF0C".concat(file, ", ").concat(err));
      }
      this.fileCount += 1;
    },
    // 监听下载模型是否成功
    downloadMaterialMsg: function downloadMaterialMsg(data) {
      var that = this;
      var fun = /*#__PURE__*/function () {
        var _ref2 = Object(asyncToGenerator["a" /* default */])( /*#__PURE__*/Object(regeneratorRuntime["a" /* default */])().mark(function _callee11(file, err) {
          return Object(regeneratorRuntime["a" /* default */])().wrap(function _callee11$(_context11) {
            while (1) switch (_context11.prev = _context11.next) {
              case 0:
                that.showLoadProgress = false;
                that.loadPercentage = 0;
                if (err) {
                  that.$message.warning("\u4E0B\u8F7D\u8D34\u56FE\u6587\u4EF6\u5931\u8D25\uFF0C".concat(file, ", ").concat(err));
                }
                setTimeout(function () {
                  that.checkModelFile(data);
                }, 1500);
              case 4:
              case "end":
                return _context11.stop();
            }
          }, _callee11);
        }));
        return function fun(_x2, _x3) {
          return _ref2.apply(this, arguments);
        };
      }();
      return fun;
    },
    // 监听下载进度
    progressMsg: function progressMsg(file, bytesReceived, bytesTotal) {
      if (bytesTotal) {
        this.loadPercentage = bytesReceived / bytesTotal * 100;
      }
    },
    // 加载场景
    loadScene: function loadScene() {
      var _this11 = this;
      return Object(asyncToGenerator["a" /* default */])( /*#__PURE__*/Object(regeneratorRuntime["a" /* default */])().mark(function _callee12() {
        var _JSON$parse2, eye, target, up, nodePtr, elevation;
        return Object(regeneratorRuntime["a" /* default */])().wrap(function _callee12$(_context12) {
          while (1) switch (_context12.prev = _context12.next) {
            case 0:
              _context12.next = 2;
              return _this11.player.Native.NodeProxy.rootNode();
            case 2:
              _this11.sceneRootNode = _context12.sent;
              if (!(_this11.sceneOptions.jsonData && Object(scene["d" /* isJSONObj */])(_this11.sceneOptions.jsonData))) {
                _context12.next = 25;
                break;
              }
              _this11.sceneData = JSON.parse(_this11.sceneOptions.jsonData);
              _context12.next = 7;
              return Object(scene["c" /* getNodesByNodeType */])(_this11.sceneData, []);
            case 7:
              _this11.sceneFileList = _context12.sent;
              if (_.isEmpty(_this11.sceneFileList)) {
                _context12.next = 12;
                break;
              }
              _this11.checkTextureFile(_this11.sceneFileList[0]);
              _context12.next = 23;
              break;
            case 12:
              _context12.next = 14;
              return Object(scene["h" /* loadSceneFromJson */])(_this11.sceneData, _this11.sceneRootNode, _this11.player, _this11.sceneOptions, [], _this11.loadNodeCallback);
            case 14:
              if (!(_this11.sceneData.cameraParams && Object(scene["d" /* isJSONObj */])(_this11.sceneData.cameraParams))) {
                _context12.next = 20;
                break;
              }
              _JSON$parse2 = JSON.parse(_this11.sceneData.cameraParams), eye = _JSON$parse2.eye, target = _JSON$parse2.target, up = _JSON$parse2.up;
              _context12.next = 18;
              return _this11.player.Native.Camera.moveTo(eye, target, up, 2);
            case 18:
              _context12.next = 23;
              break;
            case 20:
              if (!_this11.sceneOptions.isEnableGis) {
                _context12.next = 23;
                break;
              }
              _context12.next = 23;
              return _this11.moveToLLH(_this11.sceneOptions.longitude, _this11.sceneOptions.latitude);
            case 23:
              _context12.next = 34;
              break;
            case 25:
              _context12.next = 27;
              return _this11.player.Native.NodeProxy.createNode(_this11.sceneRootNode, _this11.sceneOptions.name);
            case 27:
              nodePtr = _context12.sent;
              if (!(_this11.sceneOptions.isEnableGis && _this11.sceneOptions.longitude && _this11.sceneOptions.latitude)) {
                _context12.next = 33;
                break;
              }
              _context12.next = 31;
              return _this11.player.Native.GisPlatform.queryDEM([[_this11.sceneOptions.longitude, _this11.sceneOptions.latitude, 0]]);
            case 31:
              elevation = _context12.sent[0];
              _this11.player.Native.NodeProxy.setNodeGisPos(nodePtr, [_this11.sceneOptions.longitude, _this11.sceneOptions.latitude, elevation]);
            case 33:
              _this11.player.Native.NodeProxy.setNodeInfo(nodePtr, {
                code: JSON.stringify({
                  type: 'Root',
                  fileType: '',
                  filePath: '',
                  scene: _this11.sceneOptions.id,
                  isEnableGis: _this11.sceneOptions.isEnableGis
                })
              });
            case 34:
            case "end":
              return _context12.stop();
          }
        }, _callee12);
      }))();
    },
    // 模型点选
    watchMsg: function watchMsg(data) {}
  }
});
// CONCATENATED MODULE: ./src/modules/scene-configure/components/model/ModelView.vue?vue&type=script&lang=js
 /* harmony default export */ var model_ModelViewvue_type_script_lang_js = (ModelViewvue_type_script_lang_js); 
// EXTERNAL MODULE: ./src/modules/scene-configure/components/model/ModelView.vue?vue&type=style&index=0&id=25bfb6dd&prod&lang=scss&scoped=true
var ModelViewvue_type_style_index_0_id_25bfb6dd_prod_lang_scss_scoped_true = __webpack_require__("5992");

// EXTERNAL MODULE: ./node_modules/vue-loader/lib/runtime/componentNormalizer.js
var componentNormalizer = __webpack_require__("2877");

// CONCATENATED MODULE: ./src/modules/scene-configure/components/model/ModelView.vue






/* normalize component */

var component = Object(componentNormalizer["a" /* default */])(
  model_ModelViewvue_type_script_lang_js,
  render,
  staticRenderFns,
  false,
  null,
  "25bfb6dd",
  null
  
)

/* harmony default export */ var ModelView = __webpack_exports__["default"] = (component.exports);

/***/ }),

/***/ "ef2b":
/***/ (function(module, exports, __webpack_require__) {

exports = module.exports = __webpack_require__("2350")(false);
// imports


// module
exports.push([module.i, ".engineVideo[data-v-25bfb6dd]{height:calc(100% + 15px);-o-object-fit:fill;object-fit:fill}[data-v-25bfb6dd] .el-loading-mask{background-color:transparent!important}", ""]);

// exports


/***/ })

}]);
//# sourceMappingURL=scene-configure.umd.15.js.map